services:
  app.context_builder.advert_published:
    class: App\Serializer\ContextBuilder\AdvertPublishedContextBuilder
    decorates: 'api_platform.serializer.context_builder'
    arguments: [ '@app.context_builder.advert_published.inner', '@security.authorization_checker' ]
  app.context_builder.advert_broadcast:
    class: App\Serializer\ContextBuilder\AdvertBroadcastContextBuilder
    decorates: 'api_platform.serializer.context_builder'
    arguments: [ '@app.context_builder.advert_broadcast.inner', '@security.authorization_checker' ]
  app.context_builder.pagination_disabled:
    class: App\Serializer\ContextBuilder\PaginationDisabledContextBuilder
    decorates: 'api_platform.serializer.context_builder'
    arguments: [ '@app.context_builder.pagination_disabled.inner', '@parameter_bag' ]
  app.context_builder.enum_type:
    class: App\Serializer\ContextBuilder\EnumTypeContextBuilder
    decorates: 'api_platform.serializer.context_builder'
    arguments: [ '@app.context_builder.enum_type.inner' ]